%define _files_listed_twice_terminate_build 0

Summary:	Graphical frontend to libparted
Name:		gparted
Version:	0.12.1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://gparted.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source2:	gparted-console.apps
Source3:	gparted-pam.d
BuildRequires:	parted-devel >= 1.7.1
BuildRequires:	libuuid-devel
BuildRequires:	gtkmm2.4-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	sigc++2.0-devel
BuildRequires:	rarian
Requires:	usermode-consoleonly

%description
GParted stands for Gnome Partition Editor and is a graphical frontend to 
libparted. Among other features it supports creating, resizing, moving 
and copying of partitions.

%prep
%setup -q

%build
# fwang: autoreconf is needed, otherwise old version of intltool shipped with tarball will be used
autoreconf -fi
%configure2_5x --enable-libparted-dmraid
%make

%install
%__rm -fr %{buildroot}
%makeinstall_std
%find_lang %{name} --with-gnome

#consolehelper
%__mkdir_p %{buildroot}%{_bindir}
%__ln_s consolehelper %{buildroot}%{_bindir}/gparted
%__sed -i 's|%{_sbindir}|%{_bindir}|' %{buildroot}%{_datadir}/applications/*.desktop

%__mkdir_p %{buildroot}%{_sysconfdir}/security/console.apps
%__cp %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/gparted

%__mkdir_p %{buildroot}%{_sysconfdir}/pam.d
%__cp %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/gparted

desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-category=GNOME \
	--add-category='GTK;HardwareSettings;Settings' \
	%{buildroot}%{_datadir}/applications/*.desktop

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi

%files -f %{name}.lang
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}
%{_sbindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted
%if %{mdvver} < 201200
%{_datadir}/omf/%{name}/
%endif


%changelog
* Thu Apr 12 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.12.1-1mdv2010.1
+ Revision: 790398
+ rebuild (emptylog)

* Thu Apr 12 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.12.1-1
+ Revision: 790387
- update to 0.12.1

* Tue Mar 06 2012 Andrey Bondrov <abondrov@mandriva.org> 0.12.0-2
+ Revision: 782359
- Rebuild against new parted

* Sun Mar 04 2012 Andrey Bondrov <abondrov@mandriva.org> 0.12.0-1
+ Revision: 782078
- New version 0.12.0
- Update BuildRequires

* Fri Dec 16 2011 Andrey Bondrov <abondrov@mandriva.org> 0.11.0-1
+ Revision: 743089
- New version 0.11.0, add mkrel and clean for 2010.2 backports sake

  + Zé <ze@mandriva.org>
    - dir needs to be owned

* Sat Dec 10 2011 Zé <ze@mandriva.org> 0.10.0-2
+ Revision: 740095
- clean defattr, BR, clean section and mkrel
- 2009 is no longer maintained
- allow all users to access gparted menu

* Wed Nov 02 2011 Andrey Bondrov <abondrov@mandriva.org> 0.10.0-1
+ Revision: 712208
- New version 0.10.0

* Mon Oct 31 2011 Andrey Bondrov <abondrov@mandriva.org> 0.9.1-1
+ Revision: 707972
- New version 0.9.1, build with enable-libparted-dmraid

* Sat Jun 11 2011 Funda Wang <fwang@mandriva.org> 0.8.1-2
+ Revision: 684206
- add upstream patch to build with parted3

* Tue May 24 2011 Funda Wang <fwang@mandriva.org> 0.8.1-1
+ Revision: 678016
- update to new version 0.8.1

* Thu Feb 17 2011 Funda Wang <fwang@mandriva.org> 0.8.0-1
+ Revision: 638087
- new version 0.8.0

* Tue Dec 14 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 621221
- new version 0.7.1
- drop old patch

* Sat Oct 30 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 590363
- update to new version 0.7.0

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 582325
- update to new version 0.6.4

* Fri Sep 24 2010 Funda Wang <fwang@mandriva.org> 0.6.3-1mdv2011.0
+ Revision: 580844
- update to new version 0.6.3

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 565009
- update to new version 0.6.2

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 550585
- update to new version 0.6.1

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 516978
- update to new version 0.5.2

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 0.5.1-2mdv2010.1
+ Revision: 512200
- rebuild for new parted

* Tue Jan 26 2010 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.1
+ Revision: 496497
- update to new version 0.5.1

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 0.5.0-4mdv2010.1
+ Revision: 482617
- rebuild for new parted

* Fri Dec 11 2009 Pascal Terjan <pterjan@mandriva.org> 0.5.0-3mdv2010.1
+ Revision: 476437
- Don't fork bomb...

* Fri Dec 11 2009 Pascal Terjan <pterjan@mandriva.org> 0.5.0-2mdv2010.1
+ Revision: 476426
- Fix launching from menu (#56336)

* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 474214
- use intltool
- new version 0.5.0

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.8-1mdv2010.1
+ Revision: 461954
- update to new version 0.4.8

* Fri Aug 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 411355
- update to new version 0.4.6

* Mon Jul 27 2009 Emmanuel Andry <eandry@mandriva.org> 0.4.5-2mdv2010.0
+ Revision: 400621
- rebuild for new parted

* Fri May 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.5-1mdv2010.0
+ Revision: 373488
- update to new version 0.4.5

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2010.0
+ Revision: 369838
- New version 0.4.4

* Thu Feb 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 339870
- update to new version 0.4.3

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 337903
- with gnome
- new version 0.4.2

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 327866
- New verison 0.4.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 308067
- fix file list
- new version 0.4.0

* Sat Sep 13 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.9-1mdv2009.0
+ Revision: 284549
- Add new BuildRequires gnome-doc-utils needed by new version
- Update to new version 0.3.9

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 237978
- New version 0.3.8

* Sat Jun 28 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 229729
- fix typo
- BR desktop-file-utils
- drop patch100, not needed any more
- drop patch0
- New version 0.3.7

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 194281
- update to new version 0.3.6

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5-2mdv2008.1
+ Revision: 170873
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2008.1
+ Revision: 163471
- rediff patch100
- New version 0.3.5

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 0.3.3-6mdv2008.1
+ Revision: 146620
- sync with fedora's gparted
  (esp. for run-gparted which fixes hal locking issue: #34018)

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0.3.3-5mdv2008.1
+ Revision: 102781
- fix menu location (bug#35097)

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 0.3.3-4mdv2008.1
+ Revision: 98168
- fix desktop file (bug#34749)

* Mon May 21 2007 Thierry Vignaud <tv@mandriva.org> 0.3.3-3mdv2008.0
+ Revision: 29326
- fix build
- rebuild with new parted library


* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 0.3.3-2mdv2007.0
+ Revision: 113691
- rebuild for libparted-1.8.so.2

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
+ Revision: 104466
- Import gparted

* Fri Jan 05 2007 Stew Benedict <sbenedict@mandriva.com> 0.3.3-1mdv2007.1
- 0.3.3

* Thu Sep 07 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-6mdv2007.0
- make sure new libcariomm is actually installed and rebuild

* Sun Sep 03 2006 Emmanuel Andry <tvignaud@mandriva.com> 0.2.5-5mdv2007.0
- rebuild against new libcairomm

* Sun Aug 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.5-4mdv2007.0
- really rebuild against new libparted

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5-3mdv2007.0
- rebuild for new libparted

* Tue Jul 11 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.5-2mdv2007.0
- rebuild for new libparted
- remove parted as a requires
  don't know why previous editor felt it was needed
- xdg menu

* Wed May 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-1mdk
- 0.2.5
- move parted as Requires and not buildrequires

* Wed Apr 19 2006 Stew Benedict <sbenedict@mandriva.com> 0.2.4-1mdk
- 0.2.4
- drop S2, use included logo

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdk
- rebuild for parted-1.6.24

* Thu Dec 23 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.8-1mdk
- 0.0.8, add an icon to the menu items

* Wed Nov 10 2004 Stew Benedict <sbenedict@mandrakesoft.com>  0.0.6-1mdk
- first Mandrakelinux release

